%if 0%{?el7}
%define dist .el7
%endif

%define prever beta11
Name:           roaraudio
Version:        1.0
Release:        7%{?dist}
Summary:        RoarAudio is a cross-platform sound system for both, home and professional use.

Group:          Applications/Multimedia
License:        GPLv2, GPLv3
URL:            http://roaraudio.keep-cool.org/
Source0:        http://roaraudio.keep-cool.org/dl/%{name}-%{version}%{?prever}.tar.gz
Source1:        http://roaraudio.keep-cool.org/dl/%{name}-%{version}%{?prever}.tar.gz.asc

Patch0:         roaraudio-1.0beta11-flac1.3.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libao-devel
BuildRequires:	libvorbis-devel
BuildRequires:	speex-devel
%if 0%{?fedora} >= 22
BuildRequires:  speexdsp-devel
%endif
BuildRequires:	celt071-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libfishsound-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libshout-devel
BuildRequires:	pulseaudio-libs-devel
BuildRequires:	openssl-devel
BuildRequires:	libdnet-devel
BuildRequires:	liboggz-devel
BuildRequires:	flac-devel

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
RoarAudio is a cross-platform sound system for both, home and professional use.
It can be used to mix audio for output on a single-stream soundcard or to play
audio over the network.

For more Information see our website at:
http://roaraudio.keep-cool.org/

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{version}%{?prever}
%patch0 -p1

%build
./configure \
	--opti 4 \
	--prefix %{_prefix} \
	--prefix-bin %{_bindir} \
	--prefix-sbin %{_sbindir} \
	--prefix-lib %{_libdir} \
	--prefix-inc %{_includedir} \
	--prefix-man %{_mandir} \
	--ao-install-dir %{_prefix} \
	--xmms-install-dir %{_prefix} \
	--audacious-install-dir %{_prefix}

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog HACKING README TODO
%{!?_licensedir:%global license %%doc}
%license COPYING*
%{_bindir}/roar*
%{_libdir}/*.so.*
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*
%{_mandir}/man7/*.7*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/ckport/db/libroar.ckport
%{_libdir}/%{name}/*
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.0-7
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.0-6
- Rebuilt for fc23

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 1.0beta11-5
- Rebuilt for fc22

* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 1.0beta11-4
- change license dir

* Wed Mar 26 2014 momo-i <webmaster@momo-i.org> - 1.0beta11-3
- Add patch for flac 1.3.0

* Mon Jul  8 2013 momo-i <webmaster@momo-i.org> 1.0-2
- for Fedora19.

* Wed Jun 26 2013 momo-i <webmaster@momo-i.org> 1.0-1
- Initial rpm release.
